class GeneralMailer < ActionMailer::Base
  default from: "n.bally@jipe.fr"
  
  add_template_helper(MailHelper)

  # Subject can be set in your I18n file at config/locales/en.yml
  # with the following lookup:
  #
  #   en.question.deliver.subject
  #
  def send_qi_mail(lang_slug, slug, to, options)
    
    @mail_content = MailContent.find_key(LangSite.find_by_slug(lang_slug), slug)
    
    @lang_slug = lang_slug
    
    @options = options

    mail to: to, :subject => "[Jipé] "+@mail_content.subject.to_s
  end

 
end
